FEDORA-EPEL-2021-fe065b2019 created by rathann 5 months ago for Fedora EPEL 8
stable

EPEL8 build of solaar.

This update has been submitted for testing by rathann.

5 months ago

This update's test gating status has been changed to 'ignored'.

5 months ago

This update has been pushed to testing.

5 months ago
User Icon fuller commented & provided feedback 5 months ago

The python3-xlib package needs to be upgraded as well in EPEL to satisfy solaar's requirements:

❯ sudo dnf --enablerepo=epel-testing install python3-xlib solaar
Last metadata expiration check: 0:02:05 ago on Sun 26 Dec 2021 16:05:16 IST.
Error: 
 Problem: conflicting requests
  - nothing provides python3.6dist(python-xlib) >= 0.27 needed by solaar-1.1.0-1.el8.noarch
(try to add '--skip-broken' to skip uninstallable packages or '--nobest' to use not only best candidate packages)

The currently available version is python3-xlib-0.26-1.el8.noarch.rpm

User Icon fuller commented & provided feedback 5 months ago

Ah, I was sloppy and also failed to list PyYAML and python-psutils, which require building and and updating, respectively. I have opened tickets in Bugzilla for these: https://bugzilla.redhat.com/show_bug.cgi?id=2035715 https://bugzilla.redhat.com/show_bug.cgi?id=2035716

This update has been submitted for stable by bodhi.

5 months ago

This update has been pushed to stable.

5 months ago
User Icon rathann commented & provided feedback 4 months ago

Looks like xlib got updated to 0.31, so that's no longer an issue. I made a build with the deps on pyyaml and psutils lowered to match RHEL8. Please try it: https://koji.fedoraproject.org/koji/taskinfo?taskID=81137219 .

User Icon fuller commented & provided feedback 4 months ago
karma

Just tested this and it all works great - thank you very much for taking care of it

BZ#2029901 Please branch and build solaar for EPEL 8, EPEL 9
User Icon rathann commented & provided feedback 4 months ago

@fuller this is the wrong update to give karma. This one is not installable. You should have given -1 here before it went to stable. You can give +1 to FEDORA-EPEL-2022-f65a1a9d86 instead.

User Icon fuller commented & provided feedback 4 months ago
karma

Thanks for pointing that out - lesson learned for the future (I hope)

BZ#2029901 Please branch and build solaar for EPEL 8, EPEL 9

Please login to add feedback.

Metadata
Type
newpackage
Karma
-1
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-1
Stable by Karma
1
Stable by Time
7 days
Dates
submitted
5 months ago
in testing
5 months ago
in stable
5 months ago
BZ#2029901 Please branch and build solaar for EPEL 8, EPEL 9
-1
0

Automated Test Results